"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PuppeteerEnvironment = void 0;
const TestMode_1 = __importDefault(require("@thats/testing/_/TestMode"));
const fs_1 = __importDefault(require("fs"));
const jest_environment_node_1 = __importDefault(require("jest-environment-node"));
const os_1 = __importDefault(require("os"));
const path_1 = __importDefault(require("path"));
const puppeteer_1 = __importDefault(require("puppeteer"));
const DIR = path_1.default.join(os_1.default.tmpdir(), 'jest_puppeteer_global_setup');
class PuppeteerEnvironment extends jest_environment_node_1.default {
    constructor(config, _context) {
        var _a;
        super(config, _context);
        this.global['__TESTMODE__'] = (_a = process.env.TEST_MODE) !== null && _a !== void 0 ? _a : TestMode_1.default.ALL;
    }
    setup() {
        const _super = Object.create(null, {
            setup: { get: () => super.setup }
        });
        return __awaiter(this, void 0, void 0, function* () {
            yield _super.setup.call(this);
            const wsEndpoint = yield fs_1.default.readFileSync(path_1.default.join(DIR, 'wsEndpoint'), 'utf8');
            if (!wsEndpoint) {
                throw new Error('wsEndpoint not found');
            }
            this.global['__broser'] = yield puppeteer_1.default.connect({
                browserWSEndpoint: wsEndpoint,
            });
        });
    }
    teardown() {
        const _super = Object.create(null, {
            teardown: { get: () => super.teardown }
        });
        return __awaiter(this, void 0, void 0, function* () {
            yield _super.teardown.call(this);
        });
    }
    getVmContext() {
        return super.getVmContext();
    }
}
exports.PuppeteerEnvironment = PuppeteerEnvironment;
exports.default = PuppeteerEnvironment;
//# sourceMappingURL=PuppeteerEnvironment.js.map