"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.e2eGoTo = void 0;
const E2ETestConfigEnvVars_1 = require("./E2ETestConfigEnvVars");
const e2eGoTo = function (page, uri = '', timeout = 10000) {
    return __awaiter(this, void 0, void 0, function* () {
        const appUrl = process.env[E2ETestConfigEnvVars_1.E2ETestConfigEnvVars.WEB_TEST_APP_URL];
        yield page.goto(`${appUrl}${processUrl(page, uri)}`);
    });
};
exports.e2eGoTo = e2eGoTo;
exports.default = exports.e2eGoTo;
function processUrl(page, url) {
    if (url.startsWith('*')) {
        return url.split('*')[1];
    }
    else {
        return url;
    }
}
//# sourceMappingURL=e2eGoTo.js.map