"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.e2eSetup = void 0;
const fs_1 = __importDefault(require("fs"));
const os_1 = __importDefault(require("os"));
const path_1 = __importDefault(require("path"));
const puppeteer_1 = __importDefault(require("puppeteer"));
const DIR = path_1.default.join(os_1.default.tmpdir(), 'jest_puppeteer_global_setup');
function e2eSetup(appUrl, loginEmail, loginPword) {
    return __awaiter(this, void 0, void 0, function* () {
        process.env.WEB_TEST_LOGIN_EMAIL = loginEmail;
        process.env.WEB_TEST_LOGIN_PWORD = loginPword;
        process.env.WEB_TEST_APP_URL = appUrl;
        globalThis.__browser = yield puppeteer_1.default.launch({
            ignoreHTTPSErrors: true,
            args: [
                '--proxy-bypass-list=*',
                '--disable-gpu',
                '--disable-dev-shm-usage',
                '--disable-setuid-sandbox',
                '--no-first-run',
                '--no-sandbox',
                '--no-zygote',
                '--single-process',
                '--ignore-certificate-errors',
                '--ignore-certificate-errors-spki-list',
                '--enable-features=NetworkService',
            ],
        });
        yield fs_1.default.mkdirSync(DIR, { recursive: true });
        yield fs_1.default.writeFileSync(path_1.default.join(DIR, 'wsEndpoint'), globalThis.__browser.wsEndpoint());
    });
}
exports.e2eSetup = e2eSetup;
exports.default = e2eSetup;
//# sourceMappingURL=e2eSetup.js.map