import { render } from '@testing-library/react'
import ThemeProvider from '@thatweb/core-mui/providers/ThemeProvider'
import theme from '@thatweb/core-mui/theme'
import React from 'react'
import { HashRouter, Route } from 'react-router-dom'

export default renderWithThemeAndRouter

const wrapper = ({ children }) => {
	return (
		<HashRouter>
			<Route
				path="/"
				Component={() => <ThemeProvider theme={theme}>{children}</ThemeProvider>}
			/>
		</HashRouter>
	)
}

export function renderWithThemeAndRouter(ui, options = {}) {
	return render(ui, { wrapper, ...options })
}
